uuid: ad9af583-1f38-4e0e-9f45-be9934ad17c5
langcode: en
status: true
dependencies: {  }
id: upgrade_d6_node_weblink
migration_tags:
  - 'Drupal 6'
migration_group: migrate_drupal_6
label: 'Nodes (weblink)'
source:
  plugin: d6_node
  node_type: weblink
process:
  nid: tnid
  vid: vid
  langcode:
    plugin: default_value
    source: language
    default_value: und
  title: title
  uid: node_uid
  status: status
  created: created
  changed: changed
  promote: promote
  sticky: sticky
  body/format:
    plugin: migration
    migration: upgrade_d6_filter_format
    source: format
  body/value: body
  body/summary: teaser
  revision_uid: revision_uid
  revision_log: log
  revision_timestamp: timestamp
  field_description:
    plugin: iterator
    source: field_description
    process:
      value: value
      format:
        -
          plugin: static_map
          bypass: true
          source: format
          map:
            - null
        -
          plugin: skip_on_empty
          method: process
        -
          plugin: migration
          migration:
            - upgrade_d6_filter_format
            - upgrade_d7_filter_format
          source: format
  field_link:
    plugin: d6_cck_link
    source: field_link
destination:
  plugin: 'entity:node'
  default_bundle: weblink
migration_dependencies:
  required:
    - upgrade_d6_user
    - upgrade_d6_node_type
    - upgrade_d6_node_settings
    - upgrade_d6_filter_format
  optional:
    - upgrade_d6_field_instance_widget_settings
    - upgrade_d6_field_formatter_settings
    - upgrade_d6_upload_field_instance
